%define	subname		avkys
%define	major		9
%define	libname		%mklibname %{subname} %{major}
%define	develname	%mklibname %{subname} -d

Name:		webcamoid
Version:	9.2.3
Release:	%mkrel 1
Summary:	A webcam funny video tool
Group:		Video/Utilities
License:	GPLv3+
URL:		https://github.com/webcamoid/webcamoid
Source0:	https://github.com/webcamoid/webcamoid/archive/%{version}/%{name}-%{version}.tar.gz

# Upstream patches
#

BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libv4l2)
BuildRequires:	pkgconfig(libpipewire-0.3)
BuildRequires:	pkgconfig(libspa-0.2)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(vlc-plugin)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(libkmod)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(libuvc)
BuildRequires:	pkgconfig(xrandr)

# mga#29166
Requires:	qt6-qtdeclarative

%description
Webcamoid is a full featured webcam capture application.
Features:
    * Take pictures and record videos with the webcam.
    * Manages multiple webcams.
    * Written in C++/Qt.
    * Custom controls for each webcam.
    * Add funny effects to the webcam.
    * +60 effects available.
    * Effects with live previews.
    * Translated to many languages.
    * Use custom network and local files as capture devices.
    * Capture from desktop.

%package -n	%{libname}
Summary:	The webcamoid library
Group:		System/Libraries
Provides:	%{subname} = %{version}-%{release}

%description -n %{libname}
This package contains the library for webcamoid.

%package -n     %{develname}
Summary:	Headers for developing programs that will use avkys lib
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{subname}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use avkys library as webcamoid.


%prep
%autosetup -p1

%build
%cmake -DPLUGINSDIR=%{_qt6_plugindir} \
       -DOUTPUT_QT_PLUGINS_DIR=%{_qt6_plugindir}
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS TODO README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%dir %{_qt6_plugindir}/avkys
%{_qt6_plugindir}/avkys/*.so
%{_metainfodir}/io.github.webcamoid.Webcamoid.metainfo.xml
%{_mandir}/man1/%{name}.1*

%files -n %{libname}
%license COPYING
%{_libdir}/lib%{subname}.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so


%changelog
* Sun Dec 08 2024 daviddavid <daviddavid> 9.2.3-1.mga10
+ Revision: 2122835
- new version: 9.2.3
- switch to Qt6
- rebuild for new ffmpeg 7.1

* Thu Jun 13 2024 daviddavid <daviddavid> 9.1.1-1.mga10
+ Revision: 2072943
- new version: 9.1.1
- enable libuvc support
- move the plugins files into the main pkg (mga#33295)

* Tue Nov 15 2022 kekepower <kekepower> 9.0.0-3.mga9
+ Revision: 1907790
- Add upstream patch to fix build with ffmpeg 5
+ papoteur <papoteur>
- add qtdeclarative5 requirement ((mga#29166)

* Sat Mar 19 2022 luigiwalser <luigiwalser> 9.0.0-1.mga9
+ Revision: 1799247
- 9.0.0
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Tue Feb 18 2020 umeabot <umeabot> 8.7.1-2.mga8
+ Revision: 1539656
- Mageia 8 Mass Rebuild

* Wed Dec 11 2019 zezinho <zezinho> 8.7.1-1.mga8
+ Revision: 1465959
- imported package webcamoid

